%define modname ladspa

Summary:        Ocaml interface to the LADSPA audio plug-ins library
Name:           ocaml-%{modname}
Version:        0.1.4
Release:        %mkrel 9
Source0:        http://downloads.sourceforge.net/project/savonet/%{name}/%{version}/%{name}-%{version}.tar.gz
License:        LGPLv2
Group:          Development/OCaml
Url:            http://savonet.sourceforge.net/

BuildRequires:  ocaml
BuildRequires:  ocaml-findlib
BuildRequires:  ladspa-devel

%description 
This OCaml library is an O'Caml interface to the LADSPA audio
plug-ins library.


%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Requires:       ladspa-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q

%build
./configure --libdir=%{_libdir}
make all doc

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
export DLLDIR=$OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/%{modname}
make install


%files
%doc COPYING CHANGES README
%dir %{_libdir}/ocaml/%{modname}
%{_libdir}/ocaml/%{modname}/META
%{_libdir}/ocaml/%{modname}/*.cma
%{_libdir}/ocaml/%{modname}/*.cmi
%{_libdir}/ocaml/stublibs/*.so*

%files devel
%doc doc/html/
%{_libdir}/ocaml/%{modname}/*.a
%{_libdir}/ocaml/%{modname}/*.h
%{_libdir}/ocaml/%{modname}/*.cmxa
%{_libdir}/ocaml/%{modname}/*.cmx
%{_libdir}/ocaml/%{modname}/*.mli



%changelog
* Thu Nov 24 2016 neoclust <neoclust> 0.1.4-9.mga6
+ Revision: 1069809
- Rebuild against fixed ocaml

* Mon Sep 26 2016 pterjan <pterjan> 0.1.4-8.mga6
+ Revision: 1056416
- Rebuild for fix in ocaml

* Fri Feb 12 2016 umeabot <umeabot> 0.1.4-7.mga6
+ Revision: 956383
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.1.4-6.mga5
+ Revision: 747183
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.4-5.mga5
+ Revision: 683057
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.1.4-4.mga4
+ Revision: 508495
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.1.4-3.mga3
+ Revision: 361432
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 01 2012 blue_prawn <blue_prawn> 0.1.4-2.mga3
+ Revision: 301664
- new rpm group for ocaml

* Sun Oct 09 2011 shlomif <shlomif> 0.1.4-1.mga2
+ Revision: 153542
- New version - 0.1.4. Applied patch by Malo.

* Sun Oct 02 2011 shlomif <shlomif> 0.1.3-2.mga2
+ Revision: 151075
- Rebuild for new OCaml - thanks to Malo.

* Fri Sep 30 2011 shlomif <shlomif> 0.1.3-1.mga2
+ Revision: 150566
- imported package ocaml-ladspa

